#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <string.h>
#define TAILLE 27



typedef struct arbre{
    char val;
    struct arbre *suite[TAILLE];
    bool finmot; //1 si fin de mot
}Arbre;

typedef struct dico {
    Arbre *alpha[TAILLE];
}Dico;


int calculcase(char c);

bool mot_existe(struct arbre *monarbre,char *mot,int i);

void ini_dico(struct dico *pt_dico);

void creation_arbre(Arbre **ppt_arbre,char c);
    
void ajout_mot(struct arbre **arbrecourant,char *mot,int i);

void charger_dico(FILE *fp, struct dico **ppt_dico);


void free_arbre(struct arbre *pt_arbre);

void free_dico(struct dico *pt_dico);

void affiche_arbre(struct arbre *arbre);

void affiche_dico(struct dico *dico);

void analyse_fichier(FILE *fp,Dico *pt_dico, int *nb_t, int *nb_f);


